V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/codelist/{codeListId}/linkedformsummary
Retrieves the forms and questions that use the specified code list as a dynamic linked code list in a study. Each item identifies the form reference code and question text for a linked form item.
Request
Path Parameters
-
codeListId(required): string
Code list ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
7A4D3C2B1E8F4D56A23C9F3A0C7D4E22 -
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object CodeListFormitemLinkedDto v1.0
Title:
CodeListFormitemLinkedDto v1.0Summary of a form item that is linked to a dynamic code list in v1.0.
Nested Schema : CodeListFormitemLinkedDto v1.0
Type:
objectTitle:
CodeListFormitemLinkedDto v1.0Summary of a form item that is linked to a dynamic code list in v1.0.
Show Source
-
formRefCode: string
Reference code of the form that contains the linked question.Example:
DEMOGRAPHICS -
question: string
Question text for the form item that uses the dynamic code list.Example:
What is the subject's date of birth?
Example:
{
"formRefCode":"DEMOGRAPHICS",
"question":"What is the subject's date of birth?"
}Examples
400 Response
Returned when studyId or codeListId is missing or is not a valid UUID, 32-character uppercase hexadecimal string.
Root Schema : schema
Type:
stringExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}